package com.tptj.demo.hg.export.encrypt.demo1;

import com.fr.io.exporter.AppExporter;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.page.PageSetCreator;
import com.fr.page.PageSetProvider;
import com.fr.web.core.ReportRepositoryDeal;
import com.tptj.demo.hg.export.encrypt.EncryptOutputStream;

import java.io.OutputStream;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/7/15
 **/
public class EncryptExporter implements AppExporter {

    private AppExporter original;

    public EncryptExporter(AppExporter original){
        this.original = original;
    }
    @Override
    public void export( OutputStream out, ResultWorkBook book ) throws Exception {
        original.export( new EncryptOutputStream(out), book );
    }

    @Override
    public void export( OutputStream out, PageSetProvider pageSet ) throws Exception {
        original.export( new EncryptOutputStream(out), pageSet );
    }

    @Override
    public void export(OutputStream out, ResultWorkBook book, PageSetCreator creator, ReportRepositoryDeal repo, int[] sheets) throws Exception {
        original.export( new EncryptOutputStream(out), book,creator,repo,sheets);
    }

    @Override
    public void export(OutputStream out, ResultWorkBook book, PageSetProvider pageSet, ReportRepositoryDeal repo, int[] sheets) throws Exception {
        original.export( new EncryptOutputStream(out), book,pageSet,repo,sheets);
    }

    @Override
    public void setVersion(Object o) {
        original.setVersion(o);
    }
}
