package com.tptj.demo.hg.export.encrypt.demo1;

import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.AppExporter;
import com.fr.stable.web.SessionProvider;
import com.fr.web.core.reserve.ExcelOperate;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/7/15
 **/
public class EncryptExcelOperate extends ExcelOperate {

    @Override
    public ExportCollection newExportCollection(HttpServletRequest req, HttpServletResponse res,
                                                SessionProvider sessionIDInfor, String filename ){
        ExportCollection collection = super.newExportCollection(req, res, sessionIDInfor, filename);
        AppExporter exporter = collection.getExporter();
        collection.setExporter( new EncryptExporter(exporter) );
        return collection;
    }
}
