package com.tptj.demo.hg.export.encrypt.demo2;

import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.AppExporter;
import com.fr.web.core.ReportSessionIDInfor;
import com.fr.web.core.reserve.DefaultExportExtension;
import com.tptj.demo.hg.export.encrypt.demo1.EncryptExporter;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/7/15
 **/
public class Demo extends DefaultExportExtension {

    @Override
    public ExportCollection createCollection(HttpServletRequest req, HttpServletResponse res,
                                             ReportSessionIDInfor info, String format, String filename, boolean isEmbed) throws Exception {
        ExportCollection collection = super.createCollection(req, res, info, format,filename,isEmbed);
        AppExporter exporter = collection.getExporter();
        collection.setExporter( new EncryptExporter(exporter) );
        return collection;
    }
}
